> ## Documentation Index
> Fetch the complete documentation index at: https://browseruse-0aece648-larsen-v1-unified-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Browser

> Get one browser: status, cdpUrl, liveViewUrl, and the agent session (if any).



## OpenAPI

````yaml /cloud/openapi/v1.json get /browsers/{browser_id}
openapi: 3.1.0
info:
  title: Browser Use API v1
  summary: Unified /api/v1 preview spec, non-production only
  version: 1.0.0
servers:
  - url: https://api-staging-ufcbwvyv9yifyyvc3.browser-use.com/api/v1
    description: Browser Use API v1 (staging)
security: []
paths:
  /browsers/{browser_id}:
    get:
      tags:
        - Browsers
      summary: Get Browser
      description: >-
        Get one browser: status, cdpUrl, liveViewUrl, and the agent session (if
        any).
      operationId: get_browser_browsers__browser_id__get
      parameters:
        - name: browser_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Browser Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Browser'
        '404':
          description: Browser not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrowserNotFoundError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Browser:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        status:
          type: string
          enum:
            - active
            - stopped
          title: Status
          description: '''active'' (running) or ''stopped''.'
        cdpUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Cdpurl
          description: Chrome DevTools Protocol endpoint. Null until the browser is booted.
        liveViewUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Liveviewurl
          description: Watch the browser live in a tab. Null until booted.
        agentSessionId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Agentsessionid
          description: The agent session that used this browser, if any.
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - status
        - createdAt
      title: Browser
    BrowserNotFoundError:
      properties:
        detail:
          type: string
          title: Detail
          description: Human-readable error message
      type: object
      required:
        - detail
      title: BrowserNotFoundError
      description: No browser with that id in this project.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````